# Uses of Interface
org.eclipse.ui.IFileEditorInput

Packages that use IFileEditorInput
Package
Description
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of IFileEditorInput in org.eclipse.ui.editors.text

Fields in org.eclipse.ui.editors.text declared as IFileEditorInput
Modifier and Type
Field
Description
`protected IFileEditorInput`
FileDocumentProvider.FileSynchronizer.`fFileEditorInput`
The file editor input.
Methods in org.eclipse.ui.editors.text with parameters of type IFileEditorInput
Modifier and Type
Method
Description
`protected void`
FileDocumentProvider.SafeChange.`execute(IFileEditorInput input)`
Execute the change.
`protected void`
FileDocumentProvider.`handleElementContentChanged(IFileEditorInput fileEditorInput)`
Updates the element info to a change of the file content and sends out appropriate notifications.
`protected void`
FileDocumentProvider.`handleElementDeleted(IFileEditorInput fileEditorInput)`
Sends out the notification that the file serving as document input has been deleted.
`protected void`
FileDocumentProvider.`handleElementMoved(IFileEditorInput fileEditorInput, IPath path)`
Sends out the notification that the file serving as document input has been moved.
Constructors in org.eclipse.ui.editors.text with parameters of type IFileEditorInput
Modifier
Constructor
Description
``
`FileSynchronizer(IFileEditorInput fileEditorInput)`
Creates a new file synchronizer.
``
`SafeChange(IFileEditorInput input)`
Creates a new safe runnable for the given input.

## Uses of IFileEditorInput in org.eclipse.ui.part

Classes in org.eclipse.ui.part that implement IFileEditorInput
Modifier and Type
Class
Description
`class`
`FileEditorInput`
Adapter for making a file resource a suitable input for an editor.
`class`
`FileInPlaceEditorInput`
Adapter for making a file resource a suitable input for an in-place editor.